<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [GangFormulas](./bitburner.gangformulas.md)

## GangFormulas interface

Gang formulas

**Signature:**

```typescript
interface GangFormulas 
```

## Methods

<table><thead><tr><th>

Method


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[ascensionMultiplier(points)](./bitburner.gangformulas.ascensionmultiplier.md)


</td><td>

Calculate ascension mult.


</td></tr>
<tr><td>

[ascensionPointsGain(exp)](./bitburner.gangformulas.ascensionpointsgain.md)


</td><td>

Calculate ascension point gain.


</td></tr>
<tr><td>

[moneyGain(gang, member, task)](./bitburner.gangformulas.moneygain.md)


</td><td>

Calculate money gain per tick.


</td></tr>
<tr><td>

[respectGain(gang, member, task)](./bitburner.gangformulas.respectgain.md)


</td><td>

Calculate respect gain per tick.


</td></tr>
<tr><td>

[wantedLevelGain(gang, member, task)](./bitburner.gangformulas.wantedlevelgain.md)


</td><td>

Calculate wanted gain per tick.


</td></tr>
<tr><td>

[wantedPenalty(gang)](./bitburner.gangformulas.wantedpenalty.md)


</td><td>

Calculate the wanted penalty.


</td></tr>
</tbody></table>

